## juffed 0.10-89

=== CMakeLists.txt ===
# juffed CMakeLists.txt
# 
# To build juffed, you will need cmake 2.8.11.
# To build the application run this commands:
# 
# mkdir build
# cd build
# cmake .. -DCMAKE_INSTALL_PREFIX=/usr (or whatever prefix you'd like)
# make
# make install
#
# mac os x notes:
# juffed.app is build by default. There are some additions to steps above. 
# "make install" is required to get plugins working
# "make bundle" an optional make target to build bundle with all dependencies inside
#


project (juffed)
cmake_minimum_required (VERSION 2.8.11)

# build options
option(USE_QT5 "Use Qt5. Defaults to Qt4" $ENV{USE_QT5})
option(USE_SYSTEM_QTSINGLEAPPLICATION "Try to find system-wide QtSingleApplication library" $ENV{USE_SYSTEM_SINGLETON})
option(USE_ENCA "Try to find Enca library for file encoding check" $ENV{USE_ENCA})


if (COMMAND cmake_policy)
    CMAKE_POLICY (SET CMP0003 NEW)
endif (COMMAND cmake_policy)

set ( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH} )
set ( PREFIX ${CMAKE_INSTALL_PREFIX} )

# switch verbose mode ON or OFF
set ( CMAKE_VERBOSE_MAKEFILE $ENV{VERBOSE_MAKEFILE} )

####################
# Names and Version
####################

set ( JUFFED  "juffed" CACHE STRING "Name of the executeable" )
set ( JUFFLIB "juff"   CACHE STRING "Name of the library" )
set ( QSCI_ENGINE "juffed-engine-qsci" CACHE STRING "" )
file   ( READ "${CMAKE_SOURCE_DIR}/version"      JUFFED_VERSION )
file   ( READ "${CMAKE_SOURCE_DIR}/base_version" BASE_VERSION )
string ( STRIP "${JUFFED_VERSION}" JUFFED_VERSION )
string ( STRIP "${BASE_VERSION}"   BASE_VERSION )

# flag indicating that this is a development version
set ( DEV 0 )

if ( DEV )
    # SVN revision
#    find_package(Subversion)
#    if(Subversion_FOUND)
#        Subversion_WC_INFO(${PROJECT_SOURCE_DIR} SVN)
#    endif(Subversion_FOUND)
#    set ( REV ${SVN_WC_REVISION} )
#    set ( JUFFED_VERSION "${BASE_VERSION}.${REV}" )
endif ( DEV )

message ( STATUS "" )
message ( STATUS "${JUFFED} version: ${JUFFED_VERSION}" )


####################
# Directories
####################

include ( cmake/LibSuffix.cmake )

set (BIN_INSTALL_DIR
    "${PREFIX}/bin"
    CACHE PATH "Install path for executables"
)

set (LIB_INSTALL_DIR
    "${PREFIX}/lib${LIB_SUFFIX}"
    CACHE PATH "Install path for libraries"
)

set (DATA_INSTALL_DIR
    "${PREFIX}/share/${CMAKE_PROJECT_NAME}"
    CACHE PATH "Install path for shared data"
)

message ( STATUS "Install path for executables: ${BIN_INSTALL_DIR}" )
message ( STATUS "Install path for libraries: ${LIB_INSTALL_DIR}" )
message ( STATUS "" )
#set (CMAKE_INSTALL_RPATH "${LIB_INSTALL_DIR}")

set (CMAKE_AUTOMOC ON)

if (USE_QT5)
    find_package ( Qt5 COMPONENTS Widgets Xml Network PrintSupport LinguistTools CONFIG REQUIRED )
    set (JUFF_QT_IMPORTED_TARGETS Qt5::Widgets Qt5::Xml Qt5::Network Qt5::PrintSupport)

    macro(qt_wrap_ui)
      qt5_wrap_ui(${ARGN})
    endmacro()

    macro(qt_add_resources)
      qt5_add_resources(${ARGN})
    endmacro()

    macro(qt_add_translation)
      qt5_add_translation(${ARGN})
    endmacro()
else (USE_QT5)
    find_package ( Qt4 COMPONENTS QtCore QtGui QtXml QtNetwork REQUIRED )
    set (JUFF_QT_IMPORTED_TARGETS Qt4::QtCore Qt4::QtGui Qt4::QtXml Qt4::QtNetwork)

    macro(qt_wrap_ui)
      qt4_wrap_ui(${ARGN})
    endmacro()

    macro(qt_add_resources)
      qt4_add_resources(${ARGN})
    endmacro()

    macro(qt_add_translation)
      qt4_add_translation(${ARGN})
    endmacro()
endif (USE_QT5)

# this is mandatory for Apple builds to load plugin correctly
add_definitions(-DQT_NO_DEBUG)

find_package ( QScintilla2 REQUIRED)


include ( cmake/FileSets.cmake )
include ( cmake/SomeLexers.cmake )

if(USE_SYSTEM_QTSINGLEAPPLICATION)
    find_package ( QtSingleApplication REQUIRED)
else(USE_SYSTEM_QTSINGLEAPPLICATION)
    set(QTSINGLEAPPLICATION_INCLUDE_DIR src/3rd_party/qtsingleapplication)
    SET ( juffed_app_SRCS
        ${juffed_app_SRCS}
        src/3rd_party/qtsingleapplication/qtsinglecoreapplication.cpp
        src/3rd_party/qtsingleapplication/qtsingleapplication.cpp
        src/3rd_party/qtsingleapplication/qtlockedfile.cpp
        src/3rd_party/qtsingleapplication/qtlocalpeer.cpp
    )
    IF ( WIN32 )
        SET ( juffed_app_SRCS
            ${juffed_app_SRCS}
            src/3rd_party/qtsingleapplication/qtlockedfile_win.cpp
        )
    ENDIF ( WIN32 )

    IF ( UNIX )
        SET ( juffed_app_SRCS
            ${juffed_app_SRCS}
            src/3rd_party/qtsingleapplication/qtlockedfile_unix.cpp
        )
    ENDIF ( UNIX )
endif(USE_SYSTEM_QTSINGLEAPPLICATION)


QT_ADD_RESOURCES ( juffed_app_RESOURCES ${juffed_app_RESOURCES} )
QT_ADD_RESOURCES ( juffed_lib_RESOURCES ${juffed_lib_RESOURCES} )
QT_WRAP_UI ( juffed_qsci_UIS_H ${juffed_qsci_UIS} )
QT_WRAP_UI ( juffed_app_UIS_H ${juffed_app_UIS} )
QT_ADD_TRANSLATION ( juffed_QM ${juffed_TS} )


include(FindPkgConfig)
if (USE_ENCA)
# try to find libenca - optional
pkg_check_modules(ENCA enca)
if (ENCA_FOUND)
    add_definitions(-DHAVE_ENCA)
    include_directories(${ENCA_INCLUDE_DIRS})
    link_directories(${ENCA_LIBRARY_DIRS})
    message(STATUS "Enca includes: ${ENCA_INCLUDE_DIRS}")
    message(STATUS "Enca library dir: ${ENCA_LIBRARY_DIRS}")
    message(STATUS "Enca library: ${ENCA_LIBRARIES}")
else (ENCA_FOUND)
    message(WARNING "No enca library found. Building without auto-language-detection")
endif (ENCA_FOUND)
endif (USE_ENCA)


# include directories
include_directories(
    ${CMAKE_BINARY_DIR}
    ${QSCINTILLA_INCLUDE_DIR}
    ${QSCINTILLA_INCLUDE_DIR}/Qsci
    ${QTSINGLEAPPLICATION_INCLUDE_DIR}
    src/app/ui
    src/app/qsci
    ./include
)

configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.nix.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.nix.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.win.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.win.h" @ONLY)
configure_file ("${CMAKE_SOURCE_DIR}/cmake/AppInfo.apple.h.cmake" "${CMAKE_BINARY_DIR}/AppInfo.apple.h" @ONLY)


####################
# Targets
####################

# library
add_library ( ${JUFFLIB} SHARED
    ${juffed_lib_SRCS}
    ${juffed_lib_MOC_HEADERS}
    ${juffed_lib_RESOURCES}
)
target_link_libraries ( ${JUFFLIB}
    ${JUFF_QT_IMPORTED_TARGETS}
)
if (ENCA_FOUND)
    target_link_libraries( ${JUFFLIB} ${ENCA_LIBRARIES} )
endif (ENCA_FOUND)

add_library ( ${QSCI_ENGINE} SHARED
    ${juffed_qsci_SRCS}
    ${juffed_qsci_UIS_H}
)
target_link_libraries ( ${QSCI_ENGINE}
    ${JUFFLIB}
    ${JUFF_QT_IMPORTED_TARGETS}
    ${QSCINTILLA_LIBRARY} 
    ${QTSINGLEAPPLICATION_LIBRARY} 
)

if (APPLE)
    message ( STATUS "Building as an apple bundle" )
    set ( APPLE_PREFIX "${CMAKE_INSTALL_PREFIX}/${JUFFED}.app/Contents" )
    
    add_definitions(-DAPPLEBUNDLE)
    set(GUI_TYPE MACOSX_BUNDLE)
    # create Info.plist file
    set(MACOSX_BUNDLE_ICON_FILE juffed.icns)
    set(MACOSX_BUNDLE_INFO_STRING "juffed ${JUFFED_VERSION}")
    set(MACOSX_BUNDLE_GUI_IDENTIFIER "com.juffed")
    set(MACOSX_BUNDLE_LONG_VERSION_STRING "${JUFFED_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_NAME "${JUFFED}")
    set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${JUFFED_VERSION}")
    set(MACOSX_BUNDLE_BUNDLE_VERSION "${JUFFED_VERSION}")
    set(MACOSX_BUNDLE_COPYRIGHT "(c) juffed.com")
    set_source_files_properties(${CMAKE_SOURCE_DIR}/macosx/juffed.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
    # use icon for app bundle to be visible in finder
    set(APPLE_BUNDLE_SOURCES ${CMAKE_SOURCE_DIR}/macosx/juffed.icns)
    # this is a must to load the lib correctly
    set_target_properties( ${JUFFLIB} PROPERTIES INSTALL_NAME_DIR "@executable_path/../MacOS" )
    set_target_properties( ${QSCI_ENGINE} PROPERTIES INSTALL_NAME_DIR "@executable_path/../MacOS" )
else (APPLE)
    set(GUI_TYPE "")
    set(APPLE_BUNDLE_SOURCES "")
    # now we want to use soversion etc.
    if (NOT APPLE)
        # this causes a build fail on mac (unix-like build)
        set_target_properties ( ${JUFFLIB} PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_VERSION} )
        set_target_properties ( ${QSCI_ENGINE} PROPERTIES VERSION ${BASE_VERSION} SOVERSION ${BASE_VERSION} )
    else (NOT APPLE)
        # apple requires this one to keep sane dyn-linking
        set_target_properties( ${JUFFLIB} PROPERTIES INSTALL_NAME_DIR ${LIB_INSTALL_DIR} )
        set_target_properties( ${QSCI_ENGINE} PROPERTIES INSTALL_NAME_DIR ${LIB_INSTALL_DIR} )
    endif (NOT APPLE)
endif (APPLE)

if ( MINGW )
    add_definitions(
        -DQSCINTILLA_DLL
    )

    add_definitions( -D__SPECIAL_WINDOWS_DEFINE__ )

    # resource compilation for MinGW
    add_custom_command ( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o
        COMMAND $ENV{WINDRES} -I${CMAKE_CURRENT_SOURCE_DIR}/src/app -i${CMAKE_CURRENT_SOURCE_DIR}/src/app/juffed.rc 
            -o ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o )
    set ( juffed_app_SRCS ${juffed_app_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/src/app/juffed_ico.o)
endif ( MINGW )


# executable
add_executable ( ${JUFFED}
    ${GUI_TYPE}
    ${juffed_app_SRCS} 
    ${juffed_UIS} 
    ${juffed_app_UIS_H}
    ${juffed_app_RESOURCES} 
    ${juffed_QM} 
    ${APPLE_BUNDLE_SOURCES}
)

if ( MINGW )
    set_target_properties( ${JUFFED} PROPERTIES LINK_FLAGS "-mwindows" )
endif ( MINGW )

target_link_libraries ( ${JUFFED}
    ${JUFFLIB}
    ${QSCI_ENGINE}
    ${JUFF_QT_IMPORTED_TARGETS}
)

if ( UNIX )
    set(CMAKE_CXX_FLAGS "-Wall -Wextra")
endif ( UNIX )

#
# plugins
message(STATUS "Plugins: all externally linked cmake-ready plugs will be built")
set(JUFFED_CMAKE_PLUGINS 1)
if (UNIX)
    set(JUFFED_PLUGINS_DIR ${LIB_INSTALL_DIR}/juffed/plugins)
endif (UNIX)
if (APPLE)
    set(JUFFED_PLUGINS_DIR ${APPLE_PREFIX}/plugins)
endif (APPLE)
if (WIN32)
    set(JUFFED_PLUGINS_DIR ${CMAKE_INSTALL_PREFIX}/plugins)
endif(WIN32)
set(JUFFED_INCLUDE_DIR ${CMAKE_SOURCE_DIR}/include)
set(JUFFED_LIBRARY ${JUFFLIB})
add_subdirectory(plugins)

#configure_file ("${CMAKE_SOURCE_DIR}/cmake/version.cmake" "${CMAKE_BINARY_DIR}/version.real" @ONLY)




####################
# Installs
####################
if (NOT APPLE)

    install ( TARGETS ${JUFFED} DESTINATION ${BIN_INSTALL_DIR} )
    install ( TARGETS ${JUFFLIB} DESTINATION ${LIB_INSTALL_DIR} )
    install ( TARGETS ${QSCI_ENGINE} DESTINATION ${LIB_INSTALL_DIR} )
    install ( FILES ${juffed_QM} DESTINATION ${DATA_INSTALL_DIR}/l10n )
    install ( DIRECTORY hlschemes DESTINATION ${DATA_INSTALL_DIR} PATTERN ".svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
    install ( DIRECTORY apis DESTINATION ${DATA_INSTALL_DIR} PATTERN "*.svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )
    install ( FILES juffed.png DESTINATION ${CMAKE_INSTALL_PREFIX}/share/pixmaps )
    install ( FILES juffed.desktop DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications )
    install ( FILES ${juffed_DEV_HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${CMAKE_PROJECT_NAME} )

    ## uninstall 
    configure_file ( "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in" "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake" IMMEDIATE @ONLY )
    add_custom_target ( uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

else (NOT APPLE)

    install(CODE "message(STATUS \"Cleaning previously installed bundle (rm -r)\")")
    install(CODE "execute_process(COMMAND rm -r ${CMAKE_INSTALL_PREFIX}/${JUFFED}.app)")

    install( TARGETS ${JUFFED} DESTINATION "${CMAKE_INSTALL_PREFIX}" )
    # lib is linked directly into binary in bundles to prevent Info.plist hacking
    install( TARGETS ${JUFFLIB} DESTINATION "${APPLE_PREFIX}/MacOS" )
    install( TARGETS ${QSCI_ENGINE} DESTINATION "${APPLE_PREFIX}/MacOS" )
    install ( FILES ${juffed_QM} DESTINATION "${APPLE_PREFIX}/Resources/l10n" )

    install ( DIRECTORY hlschemes DESTINATION "${APPLE_PREFIX}/Resources" PATTERN ".svn" EXCLUDE PERMISSIONS OWNER_READ OWNER_WRITE GROUP_READ WORLD_READ )

=== plugins/favorites/CMakeLists.txt ===
# favorites
set(favorites_SRC
    ManageDlg.cpp
    FavoritesPlugin.cpp
   )

QT_WRAP_UI(favorites_UI ManageDlg.ui)

add_library(favorites SHARED ${favorites_SRC} ${favorites_UI})
target_link_libraries(favorites ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS favorites DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/keybindings/CMakeLists.txt ===
# keybindings
set(keys_SRC KeysPlugin.cpp KeysPage.cpp)

QT_WRAP_UI(keys_UI KeysPage.ui)

add_library(keybindings SHARED ${keys_SRC} ${keys_UI})
target_link_libraries(keybindings ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS keybindings DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/symbolbrowser/CMakeLists.txt ===
# symbolbrowser

set(symbolbrowser_SRC
    symbols/docsymbols.cpp
    symbols/parsers/keyword.cpp
    symbols/parsers/parserex.cpp
    symbols/parsers/vstring.cpp
    symbols/parsers/parser.cpp
    symbols/symboltreeview.cpp
    symbols/parserthread.cpp
    symbols/symbol.cpp
    SymbolBrowser.cpp
    )

QT_ADD_RESOURCES(symbolbrowser_RES symbols/symbols.qrc)

add_library(symbolbrowser SHARED ${symbolbrowser_SRC} ${symbolbrowser_RES})
target_link_libraries(symbolbrowser ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS symbolbrowser DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/terminal/CMakeLists.txt ===
# terminal
set (terminal_SRC TerminalPlugin.cpp)
set (terminal_UI preferences.ui)

if (USE_QT5)
    find_package ( QTermWidget5 REQUIRED )
    qt5_wrap_ui(terminal_UI_SRC ${terminal_UI})
else (USE_QT5)
    find_package ( QTermWidget4 REQUIRED )
    qt4_wrap_ui(terminal_UI_SRC ${terminal_UI})
endif (USE_QT5)

include_directories(${QTERMWIDGET_INCLUDE_DIRS})

add_library(terminal SHARED ${terminal_SRC} ${terminal_MOC} ${terminal_UI_SRC})
target_link_libraries(terminal ${JUFFED_LIBRARY} ${QTERMWIDGET_QT_LIBRARIES} ${QTERMWIDGET_LIBRARIES})
install(TARGETS terminal DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/xmlformat/CMakeLists.txt ===
# doclist
set(xmlformat_SRC xmlformat.cpp)

QT_ADD_RESOURCES(xmlformat_RES xmlformat.qrc)

add_library(xmlformat SHARED ${xmlformat_SRC} ${xmlformat_RES})
target_link_libraries(xmlformat ${JUFFED_LIBRARY} ${JUFF_QT_IMPORTED_TARGETS})
install(TARGETS xmlformat DESTINATION ${JUFFED_PLUGINS_DIR})

=== plugins/zencoding/CMakeLists.txt ===
# ZenCoding
set ( zen_SRC ZenCoding.cpp DocWrapper.cpp )
QT4_WRAP_CPP ( zen_MOC ZenCoding.h DocWrapper.h )
#QT4_AUTOMOC ( zen_MOC_SRC ZenCoding.cpp )
add_library ( zencoding SHARED ${zen_SRC} ${zen_MOC} ${zen_MOC_SRC} )
target_link_libraries ( zencoding ${JUFFED_LIBRARY} ${QT_LIBRARIES} QtScript )

install ( TARGETS zencoding DESTINATION ${JUFFED_PLUGINS_DIR} )

## juffed 0.10-89-g3690b60

=== debian/changelog ===
juffed (0.10-89-g3690b60-9) unstable; urgency=medium

  [ ChangZhuo Chen (陳昌倬) ]
  * d/watch: Upgrade to version 5
  * d/control: Change dead Homepage to GitHub
  * d/control: Bump Standards-Version to 4.7.2
  * d/copyright: Update copyright year
  * d/salsa-ci.yml: Configure Salsa CI
  * d/rules: Set CMAKE_POLICY_VERSION_MINIMUM=3.5 (Closes: #1113065)
  * d/control: Update Build-Depends
  * d/control: Change libjuff0.10t64 to libs section
  * d/patch: Allow CXX_FLAGS to be configurable
  * d/lintian-overrides: Remove unused lintian-overrides

  [ Andrew Lee (李健秋) ]
  * Clean up of group membership after 2nd calls.
  * debian/control: add myself as uploader.
  * Run wrap-and-sort.
  * debian/copyright: add myself.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 28 Sep 2025 17:43:50 +0200

juffed (0.10-89-g3690b60-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062473

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:29:13 +0000

juffed (0.10-89-g3690b60-8) unstable; urgency=medium

  * Change team email to <team+lxqt@tracker.debian.org>.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Jun 2023 01:31:41 +0800

juffed (0.10-89-g3690b60-7) unstable; urgency=medium

  * Add Breaks, Replaces for upgrading (Closes: #1028298).

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 09 Jan 2023 22:11:03 +0800

juffed (0.10-89-g3690b60-6) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2:
    * Add "Rules-Requires-Root: no" in d/control.
  * Bump compat to 13:
    * Remove unnecessary -Wl,--as-needed in d/rules.
  * Add libjuffed0.10:
    * Use standard location for libraries.
  * Add d/upstream/metadata.
  * Update d/watch to version 4.
  * Update Homepage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 07 Jan 2023 23:10:27 +0800

juffed (0.10-89-g3690b60-5) unstable; urgency=medium

  * Fixed override_dh_makeshlib not to add a ldconfig trigger

 -- Alf Gaida <agaida@siduction.org>  Sat, 21 Jul 2018 14:05:28 +0200

juffed (0.10-89-g3690b60-4) unstable; urgency=medium

  * Made libjuff and libjuffed-engine-qsc private (Closes: #897776)
  * Bumped Standards to 4.1.5, no changes needed
  * Recommend juffed-plugins

 -- Alf Gaida <agaida@siduction.org>  Sat, 21 Jul 2018 12:30:59 +0200

juffed (0.10-89-g3690b60-3) unstable; urgency=medium

  * Fixed symbol for riscv64

 -- Alf Gaida <agaida@siduction.org>  Fri, 29 Jun 2018 19:40:27 +0200

juffed (0.10-89-g3690b60-2) unstable; urgency=medium

  * Really fixed the VCS fields

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 22:57:00 +0200

juffed (0.10-89-g3690b60-1) unstable; urgency=medium

  * Cherry-picked latest upstream version 0.10-89-g3690b60.
  * Added upstream PR for qscintilla (Closes: #897133)
  * Relaxed minimum debhelper version to >= 11~
  * Removed not needed minimium cmake version
  * Bumped Standards to 4.1.4
  * Changed VCS fields for salsa
  * Bumped years in copyright

 -- Alf Gaida <agaida@siduction.org>  Sun, 29 Apr 2018 14:17:15 +0200

juffed (0.10-85-g5ba17f9-17) unstable; urgency=medium

  * patched for new qsci names, thanks Scott Kitterman
    (Closes: #885631)
  * Bumped Standards to 4.1.3 - no changes needed
  * Bumped debhelper to >= 11
  * Bumped compat to 11
  * Fixed arch handling in rules

 -- Alf Gaida <agaida@siduction.org>  Thu, 04 Jan 2018 02:42:44 +0100

juffed (0.10-85-g5ba17f9-16) unstable; urgency=medium

  * Fixed typo Arch -> arch

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Oct 2017 02:33:30 +0200

juffed (0.10-85-g5ba17f9-15) unstable; urgency=medium

  * Added missed symbol for 32bit arches
  * Bumped Standards fo 4.1.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sun, 01 Oct 2017 01:39:57 +0200

juffed (0.10-85-g5ba17f9-14) unstable; urgency=medium

  * Deleted some symbols that magically disappeared. Added one
    new symbol (Closes: #876918)
  * Added override_dh_missing
  * Bumped Standards to 4.1.0

 -- Alf Gaida <agaida@siduction.org>  Thu, 28 Sep 2017 01:20:17 +0200

juffed (0.10-85-g5ba17f9-13) unstable; urgency=medium

  * Fixed 64 bit symbol (Closes: #871992)

 -- Alf Gaida <agaida@siduction.org>  Sun, 13 Aug 2017 18:38:14 +0200

juffed (0.10-85-g5ba17f9-12) unstable; urgency=medium

  * Fixed symbols for amd64 and i368 for gcc 7.10 (Closes: #871181)
  * Don't build with terminal integration - terminal causes segfaults at
    closing time
  * Removed build dependency libqtermwidget
  * Bumped year in copyright

 -- Alf Gaida <agaida@siduction.org>  Sat, 12 Aug 2017 21:55:34 +0200

juffed (0.10-85-g5ba17f9-11) unstable; urgency=medium

  * Fixed typo in changelog
  * The changed symbols work with gcc-7, FTBFS fixed
    (Closes: #853464)

 -- Alf Gaida <agaida@siduction.org>  Sat, 01 Jul 2017 12:57:18 +0200

juffed (0.10-85-g5ba17f9-10) unstable; urgency=medium

  * Mark juffed Multi-Arch foreign to satisfy the Multiarch-Ruler
  * Added some optional symbols for builds with gcc-7 (>= 7.1)
  * Removed --parallel from rules, default in compat 10
  * Bump Standards to 4.0.0, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Thu, 29 Jun 2017 23:36:48 +0200

=== debian/control ===
Source: juffed
Maintainer: LXQt Packaging Team <team+lxqt@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dpkg-dev (>= 1.22.5),
               cmake,
               libenca-dev,
               libqscintilla2-qt5-dev,
               pkgconf,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/lxqt-team/juffed
Vcs-Git: https://salsa.debian.org/lxqt-team/juffed.git
Homepage: https://github.com/Mezomish/juffed
Rules-Requires-Root: no

Package: juffed
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: enca, juffed-plugins
Description: Lightweight yet powerful Qt text editor
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the JuffEd editor.

Package: juff-dev
Architecture: any
Section: devel
Depends: libjuff0.10t64 (= ${binary:Version}), ${misc:Depends}
Breaks: juffed-dev (<< 0.10-89-g3690b60-6)
Replaces: juffed-dev (<< 0.10-89-g3690b60-6)
Description: Lightweight yet powerful Qt text editor - development files
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains development files for plugin building.

Package: libjuff0.10t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: juffed (<< 0.10-89-g3690b60-6), libjuff0.10 (<< ${source:Version})
Replaces: juffed (<< 0.10-89-g3690b60-6), libjuff0.10
Description: Lightweight yet powerful Qt text editor - library
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains JuffEd editor libraries.

Package: juffed-plugins
Architecture: any
Multi-Arch: same
Depends: juffed (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight yet powerful Qt text editor - plugins
 JuffEd is a simple, cross-platform text editor written using the Qt toolkit
 and the QScintilla library. It supports most features found in modern text
 editors, including syntax highlighting, bracket matching, switching encodings,
 sessions, and a plugin API.
 .
 This package contains the following plugins:
  * Autosave
  * Color Picker
  * Document List
  * Favorites
  * Find In Files
  * File manager
  * Key bindings
  * Sort Document
  * Symbol Browser
  * XML Formatter

=== debian/rules ===
#!/usr/bin/make -f
# DH_VERBOSE=1

export USE_QT5=true
export USE_SYSTEM_SINGLETON=false
export USE_ENCA=true
export LC_ALL=C.UTF-8

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@} --buildsystem cmake \
		--builddirectory=./build

override_dh_missing:
	dh_missing --fail-missing

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX=/${DEB_HOST_MULTIARCH} \
		-DBUILD_TERMINAL=OFF \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5

=== debian/watch ===
Version: 5
Template: GitHub
Owner: Mezomish
Project: juffed
